package com.muyu.chilce.event.common.config;

import com.muyu.chilce.event.common.constants.VehicleConstant;
import org.springframework.amqp.core.FanoutExchange;
import org.springframework.context.annotation.Bean;

/**
 * 消息配置 MsgConfig
 *
 * @author Yangle
 * Date 2024/6/14 15:27
 */
public class MsgConfig {

    /**
     * 创建交换机
     * @return 事件交互交换机
     */
    @Bean
    public FanoutExchange vehicleEventExchange() {
        return new FanoutExchange(VehicleConstant.VEHICLE_EVENT_EXCHANGE);
    }


}
